## Analizo-1.20.1.tar.gz

=== Makefile ===
prog: prog.o input.o output.o
	$(CXX) -o $@ $^

clean:
	$(RM) prog *.o

=== debian/changelog ===
analizo (1.20.1) unstable; urgency=medium

  * Changelog based on "Keep a Changelog" project
  * Copyright holder name and email
  * Development documentation updated
  * Dist::Zilla::Deb `debuild` task to build Debian package
  * Declaring missing Debian dependencies

 -- Joenio Costa <joenio@joenio.me>  Tue, 02 Jan 2018 02:04:12 -0200

analizo (1.20.0) unstable; urgency=medium

  [ Igor Ribeiro Barbosa Duarte ] [ Izabela Cardoso ]
  * Added metrics documentation
  * Fixed docker setup to run tests on travis

  [ Joao Paulo Busche ]
  * Added support for C# (CSharp)

  [ Joao Paulo Ferreira ]
  * Removing metrics only used by CLANG

  [ Joenio Costa ]
  * Doxyparse YAML output
  * Migrate from ZeroMQ to ZMQ::FFI
  * Removed Rakefile
  * Depends on libzmq-ffi-perl
  * Analizo site moved to new repository

  [ Luan Guimarães ]
  * Removed CLANG Extractor
  * Fixed running of a single acceptance test
  * Added Dockerfile

  [ Matheus Miranda ]
  * Finished migration from Rake to Dist::Zilla

 -- Joenio Costa <joenio@joenio.me>  Thu, 28 Dec 2017 17:47:22 -0200

analizo (1.20.0~rc1) unstable; urgency=medium

  * Release Candidate RC1
  * Documenting source code metrics
  * More automated tests
  * Dockerfile
  * Travis continuous testing
  * Removing CLANG
  * Doxyparse extractor uses YAML
  * Migrate from ZeroMQ to ZMQ::FFI
  * Using YAML instead of YAML::Tiny
  * Depends on doxyparse 1.8.14
  * Fixing running of a single acceptance test
  * Fixing development-setup.sh
  * Standardizing the name of test files

 -- Joenio Costa <joenio@joenio.me>  Fri, 07 Jul 2017 04:31:07 -0300

analizo (1.19.1) unstable; urgency=medium

  * fix bug on CBO metric

 -- Joenio Costa <joenio@joenio.me>  Thu, 01 Sep 2016 14:44:16 -0300

analizo (1.19.0) unstable; urgency=low

  * Depend on doxyparse >= 1.8.11 to compute Abstract Class (issue #6)

 -- Joenio Costa <joenio@colivre.coop.br>  Thu, 18 Feb 2016 11:25:21 -0200

analizo (1.18.1) unstable; urgency=medium

  * Removing ClangStaticAnalyzer extractor as default

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Tue, 10 Mar 2015 15:43:39 -0300

analizo (1.18.0) unstable; urgency=low

  [ Alexandre Barbosa ] [ Lucas Kanashiro ]

  * New release
  * Removing dependency cucumber in faver of Test::BDD:Cucumber
  * Adding new extractor for security metrics:
    + 21 new security metrics
  * Adding new dependencies:
    + gcc
    + clang

 -- Alexandre <alexandreab@live.com>  Fri, 25 Apr 2014 20:12:31 +0000

analizo (1.17.0) unstable; urgency=low

  [ Antonio Terceiro ]
  * Depend on doxyparse >= 1.5.8-12~ for module-to-filename mapping support

  [ Joenio Costa ]
  * Removing dependency libclass-accessor-fast-perl in favor of libclass-accessor-perl
  * sqlite3 is required for building/release process

 -- Joenio Costa <joenio@colivre.coop.br>  Thu, 31 Jan 2013 13:52:08 +0000

analizo (1.16.0) unstable; urgency=low

  * New release

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Wed, 01 Jun 2011 10:59:37 -0700

analizo (1.15.0) unstable; urgency=low

  * New upstream release
  * Changing The package into a native one
  * debian/control:
    + removed dependency on libgetopt-euclid-perl
    + depend on debhelper > 7.0.50~ to use override_dh_* feature
  * Removed first changelog entry. It was an unreleased version, anyway.
  * debian/rules: fix wrong manpage sections generated by MakeMaker

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Mon, 20 Dec 2010 21:50:50 -0300

analizo (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: new dependency

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 13 Apr 2010 15:12:04 -0300

analizo (1.13.0-2) unstable; urgency=low

  * Add missing dependency: libstatistics-descriptive-perl

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Thu, 08 Apr 2010 15:33:48 -0300

analizo (1.13.0-1) unstable; urgency=low

  * New upstream relase
  * debian/control: adding new dependency on libstatistics-online-perl

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Thu, 11 Mar 2010 14:03:18 -0300

analizo (1.12.1-1) unstable; urgency=low

  * New upstream release

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 15 Dec 2009 14:55:33 -0300

analizo (1.12.0-1) unstable; urgency=low

  * New upstream release
  * Adding ${perl:Depends} to Depends:
  * Not recommending gcc anymore

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Wed, 09 Dec 2009 11:57:00 -0300

analizo (1.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 10 Nov 2009 17:25:33 -0300

analizo (1.11.0-1) unstable; urgency=low

  * New upstream version, renamed to analizo
  * Renamed Debian package to analizo as well
  * Package is now licensed under GPL-3+
  * Updating watch file
  * Changing build system to dh7; dropped dependency on cdbs.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 03 Nov 2009 00:12:49 -0300

egypt (1.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 13 Oct 2009 15:44:21 -0300

egypt (1.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Tue, 13 Oct 2009 11:05:36 -0300

egypt (1.10.0-1) unstable; urgency=low

  * New upstream release: several optimizations and new features.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Mon, 12 Oct 2009 22:18:40 -0300

egypt (1.9.0-1) unstable; urgency=low

  * New upstream release.
  * Standards version updated to 3.8.3, no changes needed.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Mon, 12 Oct 2009 16:08:48 -0300

=== debian/control ===
Source: analizo
Section: devel
Priority: optional
Maintainer: Joenio Costa <joenio@joenio.me>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: libterm-ui-perl,
 liblist-moreutils-perl,
 libgit-wrapper-perl,
 libfile-sharedir-perl,
 libfile-share-perl,
 libtest-class-perl,
 libtest-mockmodule-perl,
 libmethod-signatures-perl,
 libtest-bdd-cucumber-perl,
 libarchive-extract-perl,
 libtest-exception-perl,
 libtest-mockobject-perl,
 libfile-libmagic-perl
Standards-Version: 4.1.2
Homepage: http://analizo.org

Package: analizo
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libapp-cmd-perl,
 libfindbin-libs-perl,
 libmojolicious-perl,
 libclass-accessor-perl,
 libdbi-perl,
 libchi-perl,
 libyaml-perl,
 libfile-homedir-perl,
 libterm-progressbar-perl,
 libdbd-sqlite3-perl,
 libyaml-tiny-perl,
 libstatistics-descriptive-perl,
 liblist-compare-perl,
 libfile-copy-recursive-perl,
 libgraph-perl,
 libgraph-writer-dsm-perl,
 libzmq-ffi-perl,
 libjson-perl,
 doxyparse,
 sloccount,
 sqlite3,
 man
Recommends: graphviz
Description: multi-language source code analysis toolkit
 Analizo parses source code in multiple languages and report useful information
 about it, such as module dependency, source code metrics and more.
 .
 Analizo uses doxyparse to parse the source code, and is currently tested and
 expected to work well with C, C++ and Java source code.
